<?xml version="1.0"?>

<project name="LispInterpreter" basedir="." default="compile">
  <property name="src.dir" value="src" />
  <property name="build.dir" value="build" />
  <property name="classes.dir" value="${build.dir}/classes" />
  <property name="jar.dir" value="jar" />
  <property name="jar-file" value="${jar.dir}/LispInterpreter.jar" />
  <property name="main-class" value="main.LispMain" />

  <target name="clean">
    <delete dir="${build.dir}" />
    <delete dir="${jar.dir}" />
  </target>

  <target name="compile">
    <mkdir dir="${classes.dir}" />
    <javac srcdir="${src.dir}" destdir="${classes.dir}"
      includeantruntime="false" />
  </target>

  <target name="jar" depends="compile">
    <jar destfile="${jar-file}" basedir="${classes.dir}">
      <manifest>
        <attribute name="Main-Class" value="${main-class}" />
      </manifest>
    </jar>
  </target>

  <target name="clean-jar" depends="clean, jar" />
</project>
